org.eclipse.net4j.util.collection

## Class MultiMap.ListBased<K,V>

- java.lang.Object
- - org.eclipse.net4j.util.collection.MultiMap<K,V>
  - - org.eclipse.net4j.util.collection.MultiMap.ListBased<K,V>

- All Implemented Interfaces:
    java.util.Map<K,V>
  Enclosing class:
    MultiMap<K,V>

      public static class MultiMap.ListBased<K,V>
      extends MultiMap<K,V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.MultiMap

      `MultiMap.ListBased<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListBased()`
    `ListBased(java.util.List<java.util.Map<K,V>> delegates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.util.Map<K,V>>` | `createDelegates()`
    `protected java.util.Map<K,V>` | `doGetDelegate(int index)`
    `int` | `getDelegateCount()`
    `java.util.List<java.util.Map<K,V>>` | `getDelegates()`
    `void` | `setDelegates(java.util.List<java.util.Map<K,V>> delegates)`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.MultiMap

      `clear, containsKey, containsKey, containsValue, entrySet, get, getDelegate, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ListBased

          public ListBased()

    - #### ListBased

          public ListBased(java.util.List<java.util.Map<K,V>> delegates)

  - ### Method Detail

    - #### getDelegates

          public java.util.List<java.util.Map<K,V>> getDelegates()

    - #### setDelegates

          public void setDelegates(java.util.List<java.util.Map<K,V>> delegates)

    - #### getDelegateCount

          public int getDelegateCount()

      Specified by:
        `getDelegateCount` in class `MultiMap<K,V>`

    - #### doGetDelegate

          protected java.util.Map<K,V> doGetDelegate(int index)

      Specified by:
        `doGetDelegate` in class `MultiMap<K,V>`

    - #### createDelegates

          protected java.util.List<java.util.Map<K,V>> createDelegates()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html